org.apache.tinkerpop.gremlin.process.traversal

## Interface TraversalStrategy.VerificationStrategy

- All Superinterfaces:
    Comparable<Class<? extends TraversalStrategy>>, Serializable, TraversalStrategy<TraversalStrategy.VerificationStrategy>
  All Known Implementing Classes:
    ComputerVerificationStrategy, EdgeLabelVerificationStrategy, LambdaRestrictionStrategy, ReadOnlyStrategy, StandardVerificationStrategy
  Enclosing interface:
    TraversalStrategy<S extends TraversalStrategy>

      public static interface TraversalStrategy.VerificationStrategy
      extends TraversalStrategy<TraversalStrategy.VerificationStrategy>

  Implemented by strategies where there is no more behavioral tweaking of the traversal required. Strategies that implement this category will simply analyze the traversal and throw exceptions if the traversal is not correct for the execution context (e.g. `LambdaRestrictionStrategy`).

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `TraversalStrategy.DecorationStrategy, TraversalStrategy.FinalizationStrategy, TraversalStrategy.OptimizationStrategy, TraversalStrategy.ProviderOptimizationStrategy, TraversalStrategy.VerificationStrategy`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `STRATEGY`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default int` | `compareTo(Class<? extends TraversalStrategy> otherTraversalCategory)`
    `default Class<TraversalStrategy.VerificationStrategy>` | `getTraversalCategory()` The type of traversal strategy -- i.e.

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `apply, applyPost, applyPrior, getConfiguration`

- - ### Method Detail

    - #### getTraversalCategory

          default Class<TraversalStrategy.VerificationStrategy> getTraversalCategory()

      Description copied from interface: `TraversalStrategy`
      The type of traversal strategy -- i.e. `TraversalStrategy.DecorationStrategy`, `TraversalStrategy.OptimizationStrategy`, `TraversalStrategy.FinalizationStrategy`, or `TraversalStrategy.VerificationStrategy`.
      Specified by:
        `getTraversalCategory` in interface `TraversalStrategy<TraversalStrategy.VerificationStrategy>`
      Returns:
        the traversal strategy category class

    - #### compareTo

          default int compareTo(Class<? extends TraversalStrategy> otherTraversalCategory)

      Specified by:
        `compareTo` in interface `Comparable<Class<? extends TraversalStrategy>>`
      Specified by:
        `compareTo` in interface `TraversalStrategy<TraversalStrategy.VerificationStrategy>`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.